## McdMaster McdMaster — Server master class |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <mcd-master.h>

                        McdMaster;

## Object Hierarchy

      GObject
       +----McdMission
             +----McdOperation
                   +----McdController
                         +----McdMaster
                               +----McdService

## Properties

      "account-manager"          McdAccountManager*    : Read / Write / Construct Only
      "dbus-connection"          gpointer              : Read
      "dbus-daemon"              TpDBusDaemon*         : Read / Write / Construct Only
      "dispatcher"               McdDispatcher*        : Read

## Description

This class implements actual mission-control. It keeps track of individual account presence and connection states in a McdPresenceFrame member object, which is available as a property.

The McdPresenceFrame object could be easily utilized for any presence releated events and actions, either within this class or any other class subclassing it or using it.

It is basically a container for all McdManager objects and takes care of their management. It also takes care of sleep and awake cycles (e.g. translates to auto away somewhere down the hierarchy).

McdMaster is a subclass of McdConroller, which essentially means it is subject to all device control.

## Details

### McdMaster

    typedef struct _McdMaster McdMaster;

## Property Details

### The `"account-manager"` property

      "account-manager"          McdAccountManager*    : Read / Write / Construct Only

AccountManager.

### The `"dbus-connection"` property

      "dbus-connection"          gpointer              : Read

D-Bus Connection.

### The `"dbus-daemon"` property

      "dbus-daemon"              TpDBusDaemon*         : Read / Write / Construct Only

DBus daemon.

### The `"dispatcher"` property

      "dispatcher"               McdDispatcher*        : Read

Dispatcher.